AMQ in production: upgrade OS
May 14, 2015 05:46 PM - Massimiliano Assante

Status: Closed Start date: Mar 14, 2016
Priority: Normal Due date:

Assignee: Andrea Dell'’Amico % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: System Configuration

Infrastructure: Development, Production

Description

The AMQ in production is hosted on:

message-broker.d4science.research-infrastructures.eu
with: ubuntu 9.04.

The OS should be upgraded.

History

#1 - May 15, 2015 02:27 PM - Pasquale Pagano
- Category set to System Application

- Target version set to System Configuration

#2 - May 27, 2015 02:21 PM - Luca Frosini

- Assignee changed from Tommaso Piccioli to Andrea Dell'’Amico

#3 - Mar 02, 2016 05:59 PM - Andrea Dell'Amico

- Infrastructure Development added

Also the dev VM is old and not maintained. Should we start with that?

#4 - Mar 03, 2016 05:08 PM - Roberto Cirillo
- Start date changed from Apr 24, 2015 to Mar 14, 2016

| think is better to wait, for the moment. We can upgrade the OS in dev at the end of the next week and after the upgrade in prod of 3.10.1 release. In
this week the development environment is used by external users for some tests with statistical-manager service and the broker is involved in these
tests.

For production it's need a minimal downtime, so | think we'll perform this upgrade in 3.11 (of course, after the upgrade in dev environment)

#5 - Mar 03, 2016 06:11 PM - Andrea Dell'Amico

Ok, you'll give me the green flag when ready.

#6 - Mar 04, 2016 10:01 AM - Pasquale Pagano

Can we avoid a downtime? Can we create a new VM, configure it, test it and when ready simply change the configuration in the IS and shutdown and
destroy the previous used service?

#7 - Mar 04, 2016 11:20 AM - Roberto Cirillo

I think, it is not possible without a disservice.

Besides to the time between the shutdown and the startup of the new broker, besides to the time that needs to upgrade the broker service endpoint in
the IS, it's need a much more relevant time for registering the producers and the consumers to the new broker. Therefore if we change the Service
Endpoint resource, | think it's need to restart all the producers service and the consumer services registered to the broker. If this is the case, It's need
to restart all the IS-Collector in production environment. | guess it's better to evaluate the possibility to avoid to change the ServiceEndpoint resource
and rename the new message-broker VM as the old one. Of course, this test should be done in dev environment. What do you think about this?

#8 - Mar 04, 2016 12:44 PM - Pasquale Pagano

Roberto Cirillo wrote:
| think, it is not possible without a disservice.
| have to admit that | am confused even more now.

Besides to the time between the shutdown and the startup of the new broker,
If a service does not recognize that a service changed its endpoint and must be restarted, then this service has to be dismissed because it is not
suitable to run in the infrastructure.

besides to the time that needs to upgrade the broker service endpoint in the IS,
why you to have to update the broker endpoint?

it's need a much more relevant time for registering the producers and the consumers to the new broker. Therefore if we change the Service
Endpoint resource, | think it's need to restart all the producers service and the consumer services registered to the broker. If this is the case, It's
need to restart all the I1S-Collector in production environment. | guess it's better to evaluate the possibility to avoid to change the ServiceEndpoint
resource and rename the new message-broker VM as the old one. Of course, this test should be done in dev environment. What do you think
about this?

Yes, please do the test in the dev environment.

All the above issues will have to disappear because it is completely unreasonable to arrive at the restart of the IS to change an external service.

BTW, the IS does not use the AMQ anymore (it was a dependency introduced by the old accounting) starting from version 3.10 | believe. Soon or
later they should restarted.

#9 - Jan 21, 2017 12:53 AM - Andrea Dell'Amico
- Status changed from New to Closed

- % Done changed from 0 to 100

activemq will die, I'm closing this activity
